> ## Documentation Index
> Fetch the complete documentation index at: https://getmonitor.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Status Page



## OpenAPI

````yaml PATCH /api/v1/status-pages/{id}
openapi: 3.0.0
info:
  title: GetMonitor API
  description: Status Pages bounded context
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v1/status-pages/{id}:
    patch:
      tags:
        - status-pages
      summary: Update a status page
      operationId: ManagementStatusPageUpdateController_update_v1
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateStatusPageDto'
      responses:
        '200':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    UpdateStatusPageDto:
      type: object
      properties:
        name:
          type: string
          example: My Status Page
        description:
          type: string
        logoUrl:
          type: string
        visibility:
          type: string
          enum:
            - public
            - private
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````